%global major   2
%define libname %mklibname xfont2_ %{major}
%define devname %mklibname xfont2 -d

Summary:        X.Org X11 libXfont2 runtime library
Name:           libxfont2
Version:        2.0.7
Release:        %mkrel 2
License:        MIT
Group:          System/Libraries
URL:            https://www.x.org/
Source0:        https://www.x.org/pub/individual/lib/libXfont2-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  x11-util-macros
BuildRequires:  pkgconfig(xtrans) >= 1.0.3-3
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)

%description
X.Org X11 libXfont2 runtime library.

%package -n %libname
Summary:        X.Org X11 libXfont2 runtime library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %libname
X.Org X11 libXfont2 runtime library.

%package -n %devname
Summary:        X.Org X11 libXfont2 development package
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       xfont2-devel = %{version}-%{release}

%description -n %devname
X.Org X11 libXfont development package.

%prep
%autosetup -n libXfont2-%version

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %libname
%license COPYING
%doc AUTHORS README.md ChangeLog
%{_libdir}/libXfont2.so.%{major}{,.*}

%files -n %devname
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/libXfont2.so
%{_libdir}/pkgconfig/xfont2.pc


%changelog
* Wed Dec 04 2024 daviddavid <daviddavid> 2.0.7-2.mga10
+ Revision: 2120915
- add more provides

* Fri Aug 02 2024 daviddavid <daviddavid> 2.0.7-1.mga10
+ Revision: 2083435
- new version: 2.0.7

* Wed Dec 21 2022 daviddavid <daviddavid> 2.0.6-2.mga9
+ Revision: 1925599
- rebuild to fix missing libbsd devel dependencies

* Sun Sep 04 2022 tv <tv> 2.0.6-1.mga9
+ Revision: 1883870
- 2.0.6

* Sat Mar 19 2022 umeabot <umeabot> 2.0.5-2.mga9
+ Revision: 1800623
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.0.5-1.mga9
+ Revision: 1740104
- 2.0.5
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 2.0.4-2.mga8
+ Revision: 1532268
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 tv <tv> 2.0.4-1.mga8
+ Revision: 1442303
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-2.mga7
+ Revision: 1299249
- Mageia 7 Mass Rebuild
+ tv <tv>
- switch to %%autosetup

* Fri Dec 01 2017 ns80 <ns80> 2.0.3-1.mga7
+ Revision: 1180570
- new version 2.0.3 that fixes CVE-2017-16611 (mga#22101)

* Fri Oct 13 2017 ns80 <ns80> 2.0.2-1.mga7
+ Revision: 1171606
- new version 2.0.2
- drop merged patches

* Thu Oct 12 2017 ns80 <ns80> 2.0.1-5.mga7
+ Revision: 1171153
- add patches for CVE-2017-1372[02] (mga#21834)

* Sat Nov 26 2016 wally <wally> 2.0.1-4.mga6
+ Revision: 1070252
- fix lib and devel pkg names and make them lowercase
- fix lib pkg summary

* Wed Nov 16 2016 tv <tv> 2.0.1-3.mga6
+ Revision: 1067605
- imported package libXfont2

